[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Still looking for help (was Re: http access and fsfs?)

From: Russell Gold <russ_at_gold-family.us>
Date: 2004-12-03 20:16:32 CET

On Dec 3, 2004, at 2:05 PM, Garrett Rooney wrote:

> anton wrote:
>> ldd modulename.so
>> ldd httpd
>> and then examine the output to make sure it looks sensible.
>
> Actually, if he's on OS X that would be otool -L, not ldd.
>

yup. But I suspect somebody who knows the svn internals would have to
interpret this:

Russell-Golds-Computer:/sw russgold$ otool -L
/sw/lib/apache2/modules/mod_dav_svn.so
/sw/lib/apache2/modules/mod_dav_svn.so:
         /sw/lib/libsvn_repos-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs_fs-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs_base-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_delta-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_subr-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libaprutil-0.0.dylib (compatibility version 10.0.0,
current version 10.5.0)
         /sw/lib/libgdbm.2.dylib (compatibility version 3.0.0, current
version 3.0.0)
         /sw/lib/libdb-4.2.dylib (compatibility version 4.2.0, current
version 4.2.52)
         /sw/lib/libexpat.0.dylib (compatibility version 6.0.0, current
version 6.0.0)
         /sw/lib/libapr-0.0.dylib (compatibility version 10.0.0, current
version 10.5.0)
         /sw/lib/libiconv.2.dylib (compatibility version 5.0.0, current
version 5.0.0)
         /sw/lib/libintl.1.dylib (compatibility version 2.0.0, current
version 2.1.0)
         /usr/lib/libSystem.B.dylib (compatibility version 1.0.0,
current version 71.1.1)

Russell-Golds-Computer:/sw russgold$ otool -L /sw/bin/svn
/sw/bin/svn:
         /sw/lib/libsvn_client-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_wc-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_ra-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_diff-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_ra_local-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_repos-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs_fs-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_fs_base-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_ra_svn-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_ra_dav-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_delta-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libsvn_subr-1.0.dylib (compatibility version 1.0.0,
current version 1.0.0)
         /sw/lib/libaprutil-0.0.dylib (compatibility version 10.0.0,
current version 10.5.0)
         /sw/lib/libgdbm.2.dylib (compatibility version 3.0.0, current
version 3.0.0)
         /sw/lib/libdb-4.2.dylib (compatibility version 4.2.0, current
version 4.2.52)
         /sw/lib/libexpat.0.dylib (compatibility version 6.0.0, current
version 6.0.0)
         /sw/lib/libapr-0.0.dylib (compatibility version 10.0.0, current
version 10.5.0)
         /usr/lib/libresolv.9.dylib (compatibility version 1.0.0,
current version 324.6.0)
         /sw/lib/libneon.24.dylib (compatibility version 25.0.0, current
version 25.7.0)
         /sw/lib/libxml2.2.dylib (compatibility version 9.0.0, current
version 9.7.0)
         /usr/lib/libz.1.dylib (compatibility version 1.0.0, current
version 1.0.0)
         /usr/lib/libSystem.B.dylib (compatibility version 1.0.0,
current version 71.1.1)
         /sw/lib/libintl.1.dylib (compatibility version 2.0.0, current
version 2.1.0)
         /sw/lib/libiconv.2.dylib (compatibility version 5.0.0, current
version 5.0.0)

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Fri Dec 3 20:19:37 2004

This is an archived mail posted to the Subversion Users mailing list.